[USN-6498-1] FRR vulnerabilities

Marc Deslauriers marc.deslauriers at canonical.com
Tue Nov 21 16:17:28 UTC 2023


==========================================================================
Ubuntu Security Notice USN-6498-1
November 21, 2023

frr vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 23.10
- Ubuntu 23.04
- Ubuntu 22.04 LTS

Summary:

Several security issues were fixed in FRR.

Software Description:
- frr: FRRouting suite of internet protocols

Details:

It was discovered that FRR incorrectly handled certain BGP messages. A
remote attacker could possibly use this issue to cause FRR to crash,
resulting in a denial of service.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 23.10:
   frr                             8.4.4-1.1ubuntu1.2

Ubuntu 23.04:
   frr                             8.4.2-1ubuntu1.6

Ubuntu 22.04 LTS:
   frr                             8.1-1ubuntu1.8

In general, a standard system update will make all the necessary changes.

References:
   https://ubuntu.com/security/notices/USN-6498-1
   CVE-2023-38406, CVE-2023-38407, CVE-2023-47234, CVE-2023-47235

Package Information:
   https://launchpad.net/ubuntu/+source/frr/8.4.4-1.1ubuntu1.2
   https://launchpad.net/ubuntu/+source/frr/8.4.2-1ubuntu1.6
   https://launchpad.net/ubuntu/+source/frr/8.1-1ubuntu1.8

-------------- next part --------------
A non-text attachment was scrubbed...
Name: OpenPGP_signature.asc
Type: application/pgp-signature
Size: 833 bytes
Desc: OpenPGP digital signature
URL: <https://lists.ubuntu.com/archives/ubuntu-security-announce/attachments/20231121/abe14a56/attachment.sig>


More information about the ubuntu-security-announce mailing list